package com.prolog.eis.dao.shelves;

import com.prolog.eis.dto.page.AllotmentTaskRecordReqDto;
import com.prolog.eis.dto.page.AllotmentTaskRecordResultDto;
import com.prolog.eis.model.shelves.AllotmentCfg;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author zmr
 * @description: 分拨站配置表-数据处理类
 * @date 2023-08-28 11:41
 */
@Repository
public interface AllotmentCfgMapper extends BaseMapper<AllotmentCfg>{


    List<AllotmentTaskRecordResultDto> allotmentTaskRecordList(@Param("req") AllotmentTaskRecordReqDto req);
}