package com.prolog.eis.feign;

import com.prolog.eis.dto.wms.PrintParam;
import com.prolog.framework.common.message.RestMessage;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @author dengj
 * @version 1.0
 * @date 2023/3/23 18:50
 */
@FeignClient(value = "upcloud-base-common")
public interface BaseCommonFeign {

    /**
     * 查询打印方案
     *
     * @return
     */
    //@InterfaceMethod(key = "调用common服务查询打印方案", name = "调用common服务查询打印方案", type = InterfaceType.Send)
    @PostMapping("/print/executePrint")
    RestMessage<?> executePrint(@RequestBody List<PrintParam> printParamList);
}
