package com.prolog.eis.service.shelves.impl;

import com.prolog.eis.dao.shelves.DismantlingLocationHitRecordHisMapper;
import com.prolog.eis.model.shelves.DismantlingLocationHitRecordHis;
import com.prolog.eis.service.shelves.DismantlingLocationHitRecordHisService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
@Slf4j
public class DismantlingLocationHitRecordHisServiceImpl implements DismantlingLocationHitRecordHisService {

    @Resource
    private DismantlingLocationHitRecordHisMapper locationHitRecordHisMapper;

    @Override
    public long saveBatch(List<DismantlingLocationHitRecordHis> dismantlingLocationHitRecordHisList) {
        return locationHitRecordHisMapper.saveBatch(dismantlingLocationHitRecordHisList);
    }

    @Override
    public long deleteById(String id) {
        return locationHitRecordHisMapper.deleteById(id,DismantlingLocationHitRecordHis.class);
    }
}
