package com.prolog.eis.dto.createcontainertask;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @Version: 1.0
 * @Author: wuhan
 * @Created: 2024/7/30 15:39
 */
@Getter
@Setter
public class CCTContainerTaskDto {
    @ApiModelProperty("容器号")
    private String containerNo;

    @ApiModelProperty("订单ID")
    private String orderId;

    @ApiModelProperty("订单明细ID")
    private String orderDetailId;

    @ApiModelProperty("业主ID")
    private String ownerId;

    @ApiModelProperty("商品ID")
    private String itemId;

    @ApiModelProperty("批次ID")
    private String lotId;

    @ApiModelProperty("包装ID")
    private String packId;

    @ApiModelProperty("拣选数量")
    private BigDecimal qty;
}
