package com.prolog.eis.dto.createcontainertask;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @Version: 1.0
 * @Author: wuhan
 * @Created: 2024/7/31 10:28
 */
@Getter
@Setter
public class CCTOrderDetailDto {
    @ApiModelProperty("明细ID")
    private String orderDetailId;

    @ApiModelProperty("订单ID")
    private String orderId;

    @ApiModelProperty("业主ID")
    private String ownerId;

    @ApiModelProperty("商品ID")
    private String itemId;

    @ApiModelProperty("批次ID")
    private String lotId;

    @ApiModelProperty("包装ID")
    private String packId;

    @ApiModelProperty("可用数量")
    private BigDecimal useQty = new BigDecimal(0);
}
