package com.prolog.eis.constants.base;

/**
 * @Author wangkang
 * @Description
 * @CreateTime 2022-03-17 11:41
 */
public class ContainerTaskTypeConstants {

    public static final int IDLE = 0;

    public static final int DEMO = 1;

    public static final int BCR = 9;

    public static final int INBOUND = 10;
    public static final int CHANGE_INBOUND = 68;

    public static final int INBOUND_RETURN = 15;

    public static final int OUTBOUND = 20;

    public static final int OUTBOUND_RETURN = 22;

    public static final int RETURN = 30;

    public static final int OUTINVENTORY = 40;

    public static final int OUTINVENTORY_RETURN = 45;

    public static final int OUTSTACK = 50;

    public static final int OUTEMPTY = 51;

    public static final int MERGEOUT = 60;

    public static final int OUTBOUNDMOVE = 80;

    public static final int OUTBOUNDMOVE_RETURN = 85;

    public static final int MERGE_OUT_ARR = 88;

    /**
     * 重新分配货架
     */
    public static final int NEW_PALLET_LEAVE = 70;

    /**
     * 旧货架回库
     */
    public static final int OLD_PALLET_RETURN = 75;

    /**
     * 货位调整
     */
    public static final int PALLET_ADJUST = 80;

    /**
     * 移库出库
     */
    public static final int PALLET_OUTBOUND_MOVE = 90;

    /**
     * 移库出库回库
     */
    public static final int PALLET_OUTBOUND_MOVE_RETURN = 95;

    /**
     * 货位调整回库
     */
    public static final int PALLET_ADJUST_RETURN = 125;


    /**
     * 补货回四项库
     */
    public static final int SUPPLY_BACK_TYPE = 101;
}
