package com.prolog.eis.constants.base;

/**
 * @program: eis_qnym_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-14 16:05
 **/
public interface LocationWorkAreaConstants {
    //    类型(10:入库类型，20：出库类型 [21:AGV出库，22：整托出库，23：拼托出库]), 30：暂存类型
    /**
     * 入库类型
     */
    int INBOUND_WORK_TYPE = 10;
    /**
     * 出库类型
     */
    int OUTBOUND_WORK_TYPE = 20;
    /**
     * AGV暂存类型
     */
    int AGV_HOLD_WORK_TYPE = 30;

    int STACK_CONTAINER_MACHINE = 40;

    /**
     * AGV出库
     */
    int AGV_OUTBOUND_WORK_TYPE = 21;
    /**
     * 整托出库
     */
    int WHOLE_OUTBOUND_WORK_TYPE = 22;
    /**
     * 拼托出库
     */
    int PICK_OUTBOUND_WORK_TYPE = 23;


//    List SXK_WORK_TYPE_LIST = Arrays.asList(SKU_WHOLE_TYPE, SKU_PICK_TYPE);
}
