package com.prolog.eis.constants.station;

/**
 * @author zhanghan
 */
public class StationTaskTypeConstants {

    private StationTaskTypeConstants() {
    }

    /**
     * 入库站台
     */
    public static final Integer STATION_TYPE_INBOUND = 30;
    /**
     * 出库站台
     */
    public static final Integer STATION_TYPE_OUTBOUND = 10;
    /**
     * 盘点站台
     */
    public static final Integer STATION_TYPE_CHECK = 3;
    /**
     * 养护站台
     */
    public static final Integer STATION_TYPE_MAINTAIN = 4;
    /**
     * 货位调整站台
     */
    public static final Integer STATION_TYPE_CHANGE = 5;
    /**
     * 补货站台
     */
    public static final Integer STATION_TYPE_REPLENISH = 6;
    /**
     * 移库出库
     */
    public static final Integer STATION_TYPE_MOVE = 7;

}