package com.prolog.eis.dto.contaienr;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @program: eis_qnym_java
 * @description:
 * @author: Xiong
 * @create: 2022-12-07 09:10
 **/
@Data
public class EmptyContainerOutboundDto {
    @ApiModelProperty("出库数量")
    @NotNull(message = "出库数量不能为空")
    @Min(value = 1, message = "出库数量不能小于1")
    private Integer outBoundNum;

    @ApiModelProperty("目标区域")
    @NotBlank(message = "目标区域不能为空")
    private String targetArea;
}
