package com.prolog.eis.dto.device;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * @program: eis_qnym_java
 * @description:
 * @author: Xiong
 * @create: 2023-02-01 15:17
 **/
@Data
@Builder
public class DeviceInfoDto {
    @ApiModelProperty("id")
    private String id;
    @ApiModelProperty("出入口编号")
    private String portNo;
    @ApiModelProperty("可入库区域")
    private String areaNo;
    @ApiModelProperty("区域优先级")
    private Integer priority;
    @ApiModelProperty("任务数权值")
    private Integer taskPower;
    @ApiModelProperty("库存存放比例")
    private Integer containerCountPower;
    @ApiModelProperty("可用库存数")
    private Integer areaReserveCount;
    @ApiModelProperty("是否有匹配的货位组")
    private Boolean matchGroup;
    @ApiModelProperty("任务数")
    private Integer taskCount;
    @ApiModelProperty("品批数")
    private Integer propertyCount;
    @ApiModelProperty("子区域可用货位数")
    private Integer subAreaLocatorCount;
    @ApiModelProperty("可入数量（入库口max_count - 入库口将到位和未发走的托盘数）")
    private Integer canInCount;
    @ApiModelProperty("高度")
    private Integer height;
}
