package com.prolog.eis.dto.eis4;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

@Data
@NoArgsConstructor
public class StationOBContainerTaskDto {
    public StationOBContainerTaskDto(String containerNo, String[] taskTargetAreaNos) {
        this.containerNo = containerNo;
        this.taskTargetAreaNoList.addAll(Arrays.asList(taskTargetAreaNos));
    }

    @ApiModelProperty("容器号")
    private String containerNo;

    @ApiModelProperty("目的区域编号集合")
    private List<String> taskTargetAreaNoList = new ArrayList<>();
}
