package com.prolog.eis.dto.inbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-07 17:34
 **/
@Data
public class AgainConfirmReqDto {
    @ApiModelProperty("上架明细id")
    @NotNull(message = "上架明细id不能为空")
    private Integer detailId;
    @ApiModelProperty("原容器号")
    @NotBlank(message = "上原容器号不能为空")
    private String sourceContainerNo;
    @ApiModelProperty("目标容器号")
    @NotBlank(message = "目标容器号不能为空")
    private String targetContainerNo;
}
