package com.prolog.eis.dto.inbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * @program: eis_qnym_java
 * @description:
 * @author: Xiong
 * @create: 2023-02-10 09:50
 **/
@Data
@Builder
public class FindBestAreaDto {
    /**
     * 当前区域
     */
    private String areaNo;

    @ApiModelProperty("任务数")
    private int taskCount;

    @ApiModelProperty("小车数")
    private Integer carCount;

    @ApiModelProperty("可用库存数")
    private Integer areaReserveCount;
}
