package com.prolog.eis.dto.inbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-08 10:47
 **/
@Data
public class InBoundSubListDto {

    @ApiModelProperty("物料ID")
    private String itemId;

    @ApiModelProperty("批次ID")
    private String lotId;

    @ApiModelProperty("货主ID")
    private String ownerId;

    @ApiModelProperty("包装ID")
    private String packId;

    @ApiModelProperty("行号")
    private String taskLineId;

    @ApiModelProperty("数量（最小库存单位）")
    private BigDecimal qty;

    @ApiModelProperty("预留字段1")
    private String attrStr1;

    @ApiModelProperty("预留字段2")
    private String attrStr2;

    @ApiModelProperty("预留字段3")
    private String attrStr3;

    @ApiModelProperty("预留字段4")
    private String attrStr4;

    @ApiModelProperty("预留字段5")
    private String attrStr5;

}
