package com.prolog.eis.dto.inbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-07 17:34
 **/
@Data
public class ShelvesTaskDetailRespDto {

    @ApiModelProperty("单号")
    private String billNo;
    @ApiModelProperty("容器号")
    private String containerNo;
    @ApiModelProperty("上架容器号")
    private String upContainerNo;
    @ApiModelProperty("容器所处位置")
    private String curLocationNo;
    @ApiModelProperty("推荐上架储位")
    private String suggestLocationNo;
    @ApiModelProperty("商品编码")
    private String itemCode;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品条码")
    private String pieceBarcode;
    @ApiModelProperty("批号")
    private String lotNo;
    @ApiModelProperty("生产日期")
    private String batchProductionDateShow;
    @ApiModelProperty("过期日期")
    private String batchExpiredDateShow;
    @ApiModelProperty("上架数量")
    private BigDecimal qty;
    @ApiModelProperty("件数")
    private BigDecimal pieceQty;
    @ApiModelProperty("零散数")
    private BigDecimal scatteredQty;
    @ApiModelProperty("包装含量")
    private BigDecimal packQty;
    @ApiModelProperty("状态 20已完成")
    private Integer status;
    private String itemId;
    private String lotId;
    private Integer detailId;
}
