package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-21 14:34
 **/
@Data
public class CancelDto {

    @ApiModelProperty("接口唯一性ID")
    @NotBlank(message = "接口唯一性ID")
    private String msgId;

    @ApiModelProperty("仓库编号")
    private String warehouseId;

    @ApiModelProperty("任务号")
    private String taskId;

    @ApiModelProperty("单号")
    private String billNo;

    @ApiModelProperty("WMS单据任务行号")
    private String taskLineId;

    @ApiModelProperty("作业类型")
    @NotBlank(message = "作业类型不能为空")
    private String workType;

    @ApiModelProperty("业务类型")
    @NotBlank(message = "业务类型不能为空")
    private String businessType;

    @ApiModelProperty("容器号")
    private String containerNo;

    @ApiModelProperty("错误消息")
    private String msg;

    @ApiModelProperty("企业ID")
    private String enterpriseId;

}
