package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-21 14:35
 **/

@Data
public class OutInChangeDto {

    @ApiModelProperty("出入库表主键Id")
    @NotNull(message = "出入库表主键Id")
    private Integer id;

    @ApiModelProperty("方向")
    @NotBlank(message = "方向（0入库 ， 1出库）")
    private Integer direction;
}
