package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-21 14:35
 **/

@Data
public class PagePriorityDto {
    @ApiModelProperty("出库单id")
    @NotNull(message = "出库单id不能为空")
    private Integer id;
    @ApiModelProperty("订单优先级")
    @NotNull(message = "订单优先级不能为空")
    private Integer newPriority;

}
