package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-21 14:33
 **/
@Data
public class SpecifyContainerCarryDto {
    @NotNull(message = "载具编号不能为空")
    @ApiModelProperty("载具编号")
    private String palletNo;
    @ApiModelProperty("托盘号")
    private String containerNo;
    @ApiModelProperty("起始区域")
    private String sourceArea;
    @ApiModelProperty("起始点位")
    private String sourceLocation;
    @ApiModelProperty("目标区域")
    private String targetArea;
    @ApiModelProperty("目标点位")
    private String targetLocation;
}
