package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class WmsOutBackReqDto {

    @ApiModelProperty("任务号")
    private String msgId;

    @ApiModelProperty("仓库编号")
    private String warehouseId;

    @ApiModelProperty("wms大货位")
    private String wmsLocationCode;

    @ApiModelProperty("容器编号")
    private String containerNo;

    @ApiModelProperty("Wms任务单号")
    private String taskId;

    @ApiModelProperty("作业类型")
    private String workType;

    @ApiModelProperty("业务类型")
    private String businessType;

    private String originalArea;

    private String originalLocation;

    private String targetArea;

    private String targetLocation;

    private String seqNo;

    private String itemId;

    private String lotId;

    private String ownerId;

    private String packId;

    private BigDecimal qty;

    @ApiModelProperty("是否整托")
    private String isPal;

    @ApiModelProperty("是否整托")
    private String itemName;
    @ApiModelProperty("规格")
    private String specification;


}
