
package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/13 17:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AllotmentTaskRecordDetailResultDto {
    @ApiModelProperty("商品id")
    private Integer id;
    @ApiModelProperty("订单号")
    private String billNo;
    @ApiModelProperty("批次id")
    private String lotId;
    @ApiModelProperty("商品id")
    private String itemId;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品条码")
    private String itemCode;
    @ApiModelProperty("批号")
    private String lotNo;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("药监码")
    private String code;
}
