

package com.prolog.eis.dto.page;

import com.prolog.framework.bz.core.model.PageParam;
import com.prolog.framework.core.pojo.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/13 17:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AllotmentTaskRecordReqDto extends PageParam {

    @ApiModelProperty("任务id")
    private Integer id;
    @ApiModelProperty("订单号")
    private String billNo;
    @ApiModelProperty("批次id")
    private String lotId;
    @ApiModelProperty("商品id")
    private String itemId;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品条码")
    private String itemCode;
    @ApiModelProperty("批号")
    private String lotNo;
    @ApiModelProperty("wcsTaskId")
    private String wcsTaskId;
    @ApiModelProperty("格口号")
    private String gridNo;
    @ApiModelProperty("发送状态 0未发送  1已发送 2发送失败")
    private Integer sendStatus;
    @ApiModelProperty("扫描状态（0、未扫描，1、已扫描）")
    private Integer scanStatus;
    @ApiModelProperty("落格状态（0、未落格，1、已落格 2:落格至异常格口 3:商品丢失")
    private Integer logeStatus;
    @ApiModelProperty("最终落格格口")
    private String logeGirdNo;
    @ApiModelProperty("0商品供包  1首营、质检票据供包 2.清单、发票供包")
    private Integer allotmentType;
    @ApiModelProperty("开始时间")
    private String createTimeStart;
    @ApiModelProperty("结束时间")
    private String createTimeEnd;
    private List<String> itemIds;
    private List<String> lotIds;
}
