package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/11 16:44
 */
@Data
@Builder
public class DismantleFullDetailDto {

    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("商品规格")
    private String goodsSpec;
    @ApiModelProperty("是否药监")
    private Integer superviseflag;
    @ApiModelProperty("商品条码")
    private String goodsCode;
    @ApiModelProperty("批号")
    private String lotNo;
    @ApiModelProperty("数量")
    private BigDecimal qty;
    @ApiModelProperty("零散数")
    private BigDecimal dismantleQty;
    @ApiModelProperty("件数")
    private BigDecimal pieceQty;
    @ApiModelProperty("包装数量")
    private BigDecimal pickQty;
    @ApiModelProperty("库存数量")
    private BigDecimal containerQty;
    @ApiModelProperty("任务类型")
    private String businessType;
    @ApiModelProperty("库存容器")
    private String containerNo;
    @ApiModelProperty("货架货格")
    private String containerSubNo;
    private String billNo;
    private String locationNo;

    private Integer id;
    private String itemId;
    private String lotId;
}
