package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/11 16:44
 */
@Data
@Builder
public class DismantleFullListDto {

    @ApiModelProperty("任务单号")
    private String billNo;
    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("商品编码")
    private String goodsCode;
    @ApiModelProperty("批次")
    private String lotNo;
    @ApiModelProperty("数量")
    private BigDecimal qty;

    private Integer id;
}
