package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/11 16:44
 */
@Data
@Builder
public class DismantlePickingDetailDto {

    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("商品条码")
    private String goodsCode;
    @ApiModelProperty("批号")
    private String lotNo;
    @ApiModelProperty("储位")
    private String locationNo;
    @ApiModelProperty("数量")
    private BigDecimal qty;
    @ApiModelProperty("零散数")
    private BigDecimal dismantleQty;
    @ApiModelProperty("件数")
    private BigDecimal pieceQty;
    @ApiModelProperty("包装数量")
    private BigDecimal pickQty;
    @ApiModelProperty("货格")
    private String containerSubNo;
    @ApiModelProperty("EIS内部波次")
    private String eisWaveNo;
    @ApiModelProperty("是否绑定格口")
    private Integer isBindGrid;
    private Integer id;
    private String itemId;
    private String lotId;
}
