package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/11 16:44
 */
@Data
@Builder
public class DismantlePickingListDto {

    @ApiModelProperty("货格")
    private String containerSubNo;
    @ApiModelProperty("容器")
    private String containerNo;
    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("商品条码")
    private String barCode;
    @ApiModelProperty("批次")
    private String lotNo;
    @ApiModelProperty("数量")
    private BigDecimal qty;
    private Integer id;
    @ApiModelProperty("波次号")
    private String eisWaveNo;
    @ApiModelProperty("是否绑定格口")
    private Integer isBindGrid;
}
