package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/14 14:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class InboundOrderRespDto {

    private Integer id;
    @ApiModelProperty("容器编号")
    private String containerNo;
    @ApiModelProperty("单据编号")
    private String billNo;
    @ApiModelProperty("业务类型")
    private String type;
    @ApiModelProperty("库区")
    private String wmsLocationNo;
    @ApiModelProperty("状态")
    private String status;
    @ApiModelProperty("创建时间")
    private Date createTime;
}
