package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/14 14:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ItemReqDto {

    private Integer pageSize;
    private Integer pageNum;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品编码")
    private String itemCode;
    @ApiModelProperty("商品条码")
    private String pieceBarcode;
}
