package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/14 14:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ItemRespDto {

    @ApiModelProperty("商品id")
    private String itemId;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品编码")
    private String itemCode;
    @ApiModelProperty("商品条码")
    private String itemBarCode;
}
