package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class LockStockReqDto {

    @ApiModelProperty("商品名称")
    private String itemName;

    @ApiModelProperty("商品ID")
    private List<String> itemIds;

    @ApiModelProperty("批号")
    private String lotNo;

    @ApiModelProperty("批号ID")
    private List<String> lotIds;

    @ApiModelProperty("托盘/货位")
    private String containerNo;

    @ApiModelProperty("是否锁定")
    private Integer isLock;

    private Integer pageSize;

    private Integer pageNum;

}
