package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/13 17:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MergeContainerDetailDto {
    private Integer id;
    @ApiModelProperty("任务类型")
    private String taskType;
    @ApiModelProperty("任务号")
    private String billNo;
    @ApiModelProperty("库存容器")
    private String containerNo;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品规格")
    private String spec;
    @ApiModelProperty("商品条码")
    private String barCode;
    @ApiModelProperty("批次")
    private String lotNo;
    @ApiModelProperty("包装数")
    private BigDecimal packQty;
    @ApiModelProperty("件数")
    private BigDecimal itemQty;
    @ApiModelProperty("零散数")
    private BigDecimal scatteredQty;
    @ApiModelProperty("数量")
    private BigDecimal qty;
    @ApiModelProperty("库存")
    private BigDecimal storeQty;
}
