package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/13 17:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MergeContainerListRespDto {
    @ApiModelProperty("容器号")
    private String containerNo;
    @ApiModelProperty("任务单号")
    private String billNo;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品条码")
    private String barCode;
    @ApiModelProperty("批次")
    private String lotNo;
    @ApiModelProperty("库存数量")
    private BigDecimal qty;
}
