package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/13 17:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MergeContainerRespDto {
    @ApiModelProperty("容器号")
    private String containerNo;
    @ApiModelProperty("货格")
    private String containerSubNo;
    @ApiModelProperty("状态 0空闲 10入库中 20出库中 30回库中")
    private Integer taskStatus;
    @ApiModelProperty("创建时间")
    private Date createTime;
    private Integer id;
}
