/**
 * Project Name:eis-business-facade
 * File Name:TaskQueryDto.java
 * Package Name:com.prolog.eis.dto.page
 * Date:2022年12月14日下午3:53:21
 * Copyright (c) 2022, bluemobi All Rights Reserved.
 *
*/

package com.prolog.eis.dto.page;

import com.prolog.eis.model.outbound.BizOutboundTask;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description: <br/>
 * Date: 2022年12月14日 下午3:53:21 <br/>
 * 
 * @version
 * @see
 */
@Data
public class OutQueryDto extends BizOutboundTask {

    @ApiModelProperty("状态")
    private Integer statusDecri;

    private int pageSize;

    private int pageNum;

    @ApiModelProperty("开始时间")
    private String beginTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    /**
     * 新优先级
     */
    @ApiModelProperty(value = "新优先级")
    private Integer newPriority;

}
