package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
  * @desc: 
  * @author: zhangJie
  * @date: 2023/7/18 10:42
  */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OutboundOrderDetailRespDto {

    @ApiModelProperty("单号")
    private String billNo;
    @ApiModelProperty("商品编码")
    private String itemCode;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("批次")
    private String lotId;
    private String containerNo;
    @ApiModelProperty("数量")
    private Integer qty;
    private Integer id;
    private String itemId;
}
