package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/14 16:46
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PackOrderInfoDto {
    @ApiModelProperty("客户名称")
    private String companyName;
    @ApiModelProperty("单据编号")
    private String billNo;
    @ApiModelProperty("格口号")
    private String gridNo;
    @ApiModelProperty("状态 3未全部落格，4已全部落格 5订单缺货")
    private Integer status;
    @ApiModelProperty("订单id")
    private Integer id;
}
