package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/15 11:18
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PackOrderRespDto {

    @ApiModelProperty("按钮显示标识 0显示扫描完成按钮 1显示 全部落格，确认缺货按钮 2不显示按钮")
    private Integer btnFlag;
    @ApiModelProperty("商品id")
    private List<PackOrderDetailRespDto> list;

}


