package com.prolog.eis.dto.page;

import com.prolog.eis.dto.item.ItemSyncVO;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class PageItem {
    @ApiModelProperty("数据列表")
    private List<ItemSyncVO> list;
    @ApiModelProperty("总记录数")
    private long totalCount;
    @ApiModelProperty("总页数")
    private int pageCount;
    @ApiModelProperty("当前页码")
    private int pageNum;
    @ApiModelProperty("每页大小")
    private int pageSize;
    @ApiModelProperty("当前页开始行")
    private int startRow;
    @ApiModelProperty("当前页结束行")
    private int endRow;
}
