package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/20 9:57
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PdaStockRespDto {

    @ApiModelProperty("容器号")
    private String containerNo;
    @ApiModelProperty("物料编码")
    private String itemCode;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("批次")
    private String lotId;
    @ApiModelProperty("包装数量")
    private BigDecimal packSize;
    @ApiModelProperty("库存数量")
    private BigDecimal qty;
    @ApiModelProperty("库存状态 0空闲 10入库中 20出库中 30回库中")
    private Integer status;
    private String itemId;
}
