package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/20 10:17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PickingListDto {

    @ApiModelProperty("任务单号")
    private String billNo;
    @ApiModelProperty("商品条码")
    private String itemCode;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("批次")
    private String lotId;
    @ApiModelProperty("拣货数量")
    private BigDecimal pickQty;
    private Integer id;
    private String itemId;
}
