package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/14 14:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PickingOrderReqDto {

    private Integer pageSize;
    private Integer pageNum;
    @ApiModelProperty("单号")
    private String billNo;
    @ApiModelProperty("波次号")
    private String waveNo;
    @ApiModelProperty("格口号")
    private String gridNo;
    @ApiModelProperty("库区")
    private String wmsLocationCode;
    @ApiModelProperty("客户名称")
    private String companyName;
    @ApiModelProperty("区域名称")
    private String province;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品编码")
    private String itemCode;
    @ApiModelProperty("商品条码")
    private String itemBarCode;
    @ApiModelProperty("状态 -20 库存不足 0创建 1已组为任务包 10已开始 20已完成")
    private Integer status;
    @ApiModelProperty("创建时间开始")
    private Date createTimeStart;
    @ApiModelProperty("创建时间结束")
    private Date createTimeEnd;
    @ApiModelProperty("销售时间开始")
    private Date orderTimeStart;
    @ApiModelProperty("销售时间结束")
    private Date orderTimeEnd;
    @ApiModelProperty("物料id")
    private String itemId;
    private List<String> itemIds;
}
