package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/14 14:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PickingOrderRespDto {

    @ApiModelProperty("任务组编号")
    private String billNo;
    @ApiModelProperty("订单数")
    private Integer orderNum;
    @ApiModelProperty("条目数")
    private Integer detailNum;
    @ApiModelProperty("业务类型 10.产成品出库  20.砂芯出库")
    private Integer type;
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;
    @ApiModelProperty("id")
    private Integer id;
}
