/**
 * Project Name:eis-business-facade
 * File Name:PageDto.java
 * Package Name:com.prolog.eis.dto.page
 * Date:2023年1月4日下午5:07:23
 * Copyright (c) 2023, bluemobi All Rights Reserved.
 *
*/

package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description: <br/>
 * Date: 2023年1月4日 下午5:07:23 <br/>
 * 
 * @version
 * @see
 */
@Data
public class PrintRepCall {

    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("创建时间")
    private String createTime;

    @ApiModelProperty("出库指示番号")
    private String upperSystemTaskId;

    @ApiModelProperty("指示番号")
    private String instructionNo;

    @ApiModelProperty("仓库ID")
    private String wmsWarehouseId;

    @ApiModelProperty("商品")
    private String itemId;

    @ApiModelProperty("批次")
    private String lotId;

    @ApiModelProperty("货主编号")
    private String ownerId;

    @ApiModelProperty("ピック単位")
    private String pickUnit;

    @ApiModelProperty("数量")
    private String quantity;

    @ApiModelProperty("ラベル区分")
    private String labelType;

    @ApiModelProperty("配送業者名")
    private String transporterName;

    @ApiModelProperty("納品先名称")
    private String deliveryName;

    @ApiModelProperty("納品先住所")
    private String deliveryAddress;

    @ApiModelProperty("商品名")
    private String skuName;

    @ApiModelProperty("規格")
    private String standard;

}
