package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/19 9:53
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StockReqDto {
    private Integer pageSize;
    private Integer pageNum;
    @ApiModelProperty("货主")
    private String ownerName;
    @ApiModelProperty("物料编码")
    private String itemCode;
    @ApiModelProperty("物料名称")
    private String itemName;
    @ApiModelProperty("批次")
    private String lotId;
    @ApiModelProperty("容器号")
    private String containerNo;
    @ApiModelProperty("有效期")
    private String expire;
    @ApiModelProperty("是否锁定")
    private Integer isLock;
    @ApiModelProperty("是否预占")
    private Integer advance;
    @ApiModelProperty("创建时间开始")
    private Date createTimeStart;
    @ApiModelProperty("创建时间结束")
    private Date createTimeEnd;

    private List<Integer> ids;
    private String itemIds;
}
