package com.prolog.eis.dto.pms;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @desc:
 * @date: 2023/7/11 10:41
 */
@Data
public class PmsRobotTaskFinishReq {

    @ApiModelProperty("容器号")
    @NotBlank(message = "容器号不能为空")
    private String containerNo;

    @ApiModelProperty("物料号")
    @NotBlank(message = "容物料号不能为空")
    private String itemCode;

    @ApiModelProperty("拣选数量")
    @NotNull(message = "拣选数量不能为空")
    private BigDecimal qty;

}
