package com.prolog.eis.dto.rf;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/13 15:33
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DemonstrateTask {

    @ApiModelProperty("托盘号")
    private String containerSubNo;
    @ApiModelProperty("商品编码")
    private String itemCode;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("批次")
    private String lotId;
    @ApiModelProperty("数量")
    private Integer qty;
    @ApiModelProperty("库区")
    private String areaName;
    @ApiModelProperty("是否在运行中（0未运行  1运行中）")
    private Integer isRun;
    private String itemId;

}
