package com.prolog.eis.dto.rf;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/13 15:33
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DemonstrateTaskInfo {

    @ApiModelProperty("任务号")
    private String taskId;
    @ApiModelProperty("托盘号")
    private String containerSubNo;
    @ApiModelProperty("商品编码")
    private String itemCode;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品规格")
    private String pieceConversionRate;
    @ApiModelProperty("包装量")
    private BigDecimal packSize;
    @ApiModelProperty("批次")
    private String lotId;
    private String itemId;
    @ApiModelProperty("数量")
    private BigDecimal qty;
    @ApiModelProperty("库区")
    private String areaName;
    @ApiModelProperty("件数")
    private BigDecimal piece;
    @ApiModelProperty("零散数")
    private BigDecimal scattered;
    @ApiModelProperty(value = "生产日期")
    private String prodDate;
    @ApiModelProperty(value = "有效期")
    private String expireDate;
}
