package com.prolog.eis.dto.shelves;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CargoInformationDTO {

    @ApiModelProperty("货格方向(AB面)")
    private String direction;

    @ApiModelProperty("层")
    private Integer layer;

    @ApiModelProperty("列")
    private Integer x;

    @ApiModelProperty("ABC属性")
    private String abcType;

    @ApiModelProperty("容积")
    private BigDecimal volume;

    @ApiModelProperty("货格编号")
    private String cargoCompartment;
    
}