package com.prolog.eis.dto.shelves;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.Map;


@Data
public class LimitedGoodsAllocationInfoDto {
    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("货主编号")
    private String goodsOwnerId;

    @ApiModelProperty("货主名称")
    private String goodsOwnerName;

    @ApiModelProperty("商品条码")
    private String goodsBarcode;

    @ApiModelProperty("商品名称")
    private String goodsName;

    @ApiModelProperty("商品规格")
    private String goodsType;

    @ApiModelProperty("商品大类")
    private String goodsCategory;

    @ApiModelProperty("限定区域")
    private Map<String,String> limitedArea;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", locale = "zh", timezone = "GMT+8")
    private Date createTime = new Date();

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", locale = "zh", timezone = "GMT+8")
    private Date updateTime;

    @ApiModelProperty("备注")
    private String notes;
}
