package com.prolog.eis.dto.shelves;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.NumberFormat;
import lombok.Data;

/**
 * @author zhanghan
 */
@Data
public class PalletImportDTO {

    @ExcelProperty(value = "货架号",index = 0)
    private String palletNo;

    @ExcelProperty(value = "模板类型",index = 1)
    @NumberFormat("##0")
    private String modeType;

    @ExcelProperty(value = "点位",index = 2)
    private String locationNo;

    @ExcelProperty(value = "角度",index = 3)
    private Integer angle;
    
}