package com.prolog.eis.dto.shelves;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class ReturnGoodsShelfDto {
    @ApiModelProperty("货架号")
    @NotBlank(message = "货架号不能为空")
    private String palletNo;

    @ApiModelProperty("站台号")
    @NotBlank(message = "站台号不能为空")
    private String stationNo;

}
