package com.prolog.eis.dto.shelves;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ShelvesConfigureDTO {

    @ApiModelProperty("货架号")
    private String palletNo;

    @ApiModelProperty("位置")
    private String location;

    @ApiModelProperty("角度")
    private Integer angle;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("是否为模板货架")
    private Integer isMode;

    @ApiModelProperty("货格信息")
    private List<CargoInformationDTO> cargoInformation;

}