package com.prolog.eis.dto.shelves;

import com.prolog.framework.bz.core.model.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author zhanghan
 */
@Data
@ApiModel("货架分页参数")
@EqualsAndHashCode(callSuper = true)
public class ShelvesPage extends PageParam {

    @ApiModelProperty("货架点位")
    private String palletLocation;

    @ApiModelProperty("商品编码")
    private String itemCode;

    @ApiModelProperty("商品名称")
    private String itemName;

    @ApiModelProperty("批号")
    private String lotNo;
}
