package com.prolog.eis.dto.wcs;

import cn.hutool.core.util.NumberUtil;
import cn.hutool.core.util.StrUtil;
import com.prolog.eis.enums.inbound.BcrTypeEnum;
import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BcrConfigDto {
    /**
     * 策略名称
     */
    private String strategyName;
    /**
     * 点位信息
     */
    private String locationNo;
    /**
     * 外形检测
     */
    private Integer shapeHandle;
    /**
     *
     */
    private Integer barcodeHandle;
    /**
     * 称重检测
     */
    private Integer weightHandle;

    /**
     * 入库口方向校验(0：不校验，1校验入库口方向)
     */
    private Boolean directionHandle;
    /**
     * 任务检测
     */
    private Integer taskHandle;
    /**
     * 重量
     */
    private String weight;
    /**
     * bcr所在区域
     */
    private String areaNo;

    private Integer bcrType;
    //是否支持二次分配 1是 0否
    private Integer allocation;

}
