package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-12-05 11:29
 **/
@NoArgsConstructor
@Data
public class CarryTaskDetailReqDto {


    private String taskType;

    private String billNo;

    private String workType;

    private String businessType;

    @ApiModelProperty("托盘号")
    @NotBlank(message = "托盘号")
    private String containerNo;

    private String containerSize;

    private String sourceAreaNo;

    private String sourceLocation;

    @ApiModelProperty("目标区域")
    @NotBlank(message = "目标区域")
    private String targetAreaNo;

    private String targetLocation;

    @ApiModelProperty("优先级")
    @NotBlank(message = "优先级不能为空")
    private String priority;

    private List<OrderPalletItemInfo> sublist;
}
