
package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/25 14:12
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class WmsOfferBackDetailDto {
    @ApiModelProperty("WMS任务行号")
    private String taskLineId;
    @ApiModelProperty("货主编号")
    private String ownerId;
    @ApiModelProperty("商品")
    private String itemId;
    @ApiModelProperty("批次")
    private String lotId;
    @ApiModelProperty("包装")
    private String packId;
    @ApiModelProperty("数量")
    private BigDecimal qty;
    @ApiModelProperty("药监码")
    private List<String> drugSupervisionCode;
}
