package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/25 14:12
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class WmsOfferBackDto {
    @ApiModelProperty("仓库编号")
    private String warehouseId;
    @ApiModelProperty("企业id")
    private String enterpriseId;
    @ApiModelProperty("WMS任务号")
    private String taskId;
    @ApiModelProperty("WMS订单号")
    private String billNo;
    @ApiModelProperty("打印机地址")
    private String printUrl;
    @ApiModelProperty("员工工号")
    private String employeeId;

    private List<WmsOfferBackDetailDto> subList;
}
