package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/8/30 11:35
 */
@NoArgsConstructor
@Data
@Builder
@AllArgsConstructor
public class WmsTaskFinishDetailDto {

    @ApiModelProperty("货格号")
    private String locationNo;
    @ApiModelProperty("库存数量")
    private BigDecimal inventoryQty;
    @ApiModelProperty("实盘数量")
    private BigDecimal confirmQty;
    @ApiModelProperty("养护结论（1：合格；2：不合格；3：待处理）")
    private String yhResult;
    @ApiModelProperty("翻剁")
    private String yhItem1;
    @ApiModelProperty("除湿")
    private String yhItem2;
    @ApiModelProperty("加湿")
    private String yhItem3;
    @ApiModelProperty("升温")
    private String yhItem4;
    @ApiModelProperty("降温")
    private String yhItem5;
    @ApiModelProperty("通风")
    private String yhItem6;
    @ApiModelProperty("除尘")
    private String yhItem7;
    @ApiModelProperty("避光")
    private String yhItem8;
    @ApiModelProperty("防虫蛀")
    private String yhItem9;
    @ApiModelProperty("防霉变")
    private String yhItem10;
    @ApiModelProperty("防潮")
    private String yhItem11;
    @ApiModelProperty("遮光")
    private String yhItem12;


}
