package com.prolog.eis.model.sys;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Table("sys_param")
@ApiModel("系统参数")
@Data
public class SysParam {

    @Id
    @Column("id")
    @ApiModelProperty("id")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    private Integer id;

    @Column("param_no")
    @ApiModelProperty("参数号")
    private String paramNo;

    @Column("param_value")
    @ApiModelProperty("参数值")
    private String paramValue;

    @Column("param_desc")
    @ApiModelProperty("参数描述")
    private String paramDesc;

    @Column("is_refresh")
    @ApiModelProperty("是否刷新")
    private Integer isRefresh;

    @Column("is_visit")
    @ApiModelProperty("是否展示")
    private Integer isVisit;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @Column("update_time")
    @ApiModelProperty("修改时间")
    private LocalDateTime updateTime;


}
