package com.prolog.eis.vo;

import com.prolog.eis.dto.strategy.ContainerInfoDto;
import com.prolog.eis.model.inbound.BizInboundTaskDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class ContainerVO {

    @ApiModelProperty("命中的货架")
    private List<GoodsShelvesVO> goodsShelvesVOS;
    @ApiModelProperty("命中的托盘")
    private List<ContainerInfoDto> containerInfoDtos;
    @ApiModelProperty("收货容器号")
    private String containerNo;
    @ApiModelProperty("任务明细Id")
    private String taskDetailId;
    @ApiModelProperty("作业类型")
    private String workType;

}
