package com.prolog.eis.dao.container;

import com.prolog.eis.dto.outbound.ContainerTaskDismantleDto;
import com.prolog.eis.dto.page.PickingDetailDto;
import com.prolog.eis.dto.page.PickingListDto;
import com.prolog.eis.model.container.ContainerTask;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.springframework.stereotype.Repository;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Repository
public interface ContainerTaskMapper extends BaseMapper<ContainerTask> {
    void updateStatusBatch(@Param("containerTaskList") List<ContainerTask> containerTaskList, @Param("taskStatus") int taskStatus);

    List<PickingListDto> pickingList(@Param("containerNo") String containerNo);

    List<PickingDetailDto> pickingDetail(@Param("id") Integer id);

    List<ContainerTaskDismantleDto> findContainerTask(@Param("containerNo") String containerNo, @Param("type")  int type);
}