package com.prolog.eis.dao.inbound;

import com.prolog.eis.dto.page.InboundOrderReqDto;
import com.prolog.eis.dto.page.InboundOrderRespDto;
import com.prolog.eis.model.inbound.BizInboundTask;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.springframework.stereotype.Repository;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Repository
public interface BizInboundTaskMapper extends BaseMapper<BizInboundTask> {
    int updateInboundStatusById(@Param("id") Integer id, @Param("code") Integer code);

    List<InboundOrderRespDto> inboundOrderList(@Param("req") InboundOrderReqDto req);
}