package com.prolog.eis.dao.outbound;

import com.prolog.eis.dto.page.*;
import com.prolog.eis.dto.strategy.OrderDetailDto;
import com.prolog.eis.model.outbound.BizOutboundTaskDetail;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author zmr
 * @description: 出库任务详情表-数据处理类
 * @date 2023-07-06 11:36
 */
@Repository
public interface BizOutboundTaskDetailMapper extends BaseMapper<BizOutboundTaskDetail>{
    List<OrderDetailDto> getByOrderIds(@Param("orderIds") List<Integer> orderIds);

    List<OutboundOrderDetailRespDto> detailList(@Param("id") Integer id);

    List<OrderStockWarnRespDto> orderStockWarn(@Param("req") OrderStockWarnReqDto req);

    List<OrderDetailDto> findDetailList();
}