package com.prolog.eis.feign;


import com.prolog.eis.model.inbound.BizInboundTask;
import com.prolog.framework.common.message.RestMessage;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@FeignClient(value = "${prolog.service.dismantle}")
public interface DismantleFeign {

    /**
     * 获取批次相关信息
     *
     * @param inboundTask
     * @return
     */
    @RequestMapping(method = RequestMethod.POST, value = "/api/v1/inbound/callShelves")
    RestMessage callShelves(@RequestBody BizInboundTask inboundTask) throws Exception;
}