//package com.prolog.eis.service.container;
//
//
//import com.prolog.eis.model.container.GoodsInfo;
//import com.prolog.framework.core.restriction.Criteria;
//
//import java.util.List;
//import java.util.Map;
//
///**
// * @author zmr
// * @description: 商品资料表-服务接口类
// * @date 2023-07-06 11:27
// */
//public interface GoodsInfoService {
//
//    /**
//     * 新增数据
//     *
//     * @param goodsInfo 商品资料表
//     */
//    long save(GoodsInfo goodsInfo);
//
//    /**
//     * 新增批量数据
//     *
//     * @param goodsInfoList 商品资料表
//     */
//    long saveBatch(List<GoodsInfo> goodsInfoList);
//
//    /**
//     * 查询多条数据
//     *
//     * @param paramMap 查询起始位置
//     * @return 对象列表
//     */
//    List<GoodsInfo> findByMap(Map<String, Object> paramMap);
//
//    /**
//     * 查询单条数据
//     *
//     * @param paramMap 查询起始位置
//     * @return 对象
//     */
//    GoodsInfo findOneByMap(Map<String, Object> paramMap);
//
//    /**
//     * 查询多条数据
//     *
//     * @param criteria 查询起始位置
//     * @return 对象列表
//     */
//    List<GoodsInfo> findByCriteria(Criteria criteria);
//
//    /**
//     * 通过ID查询单条数据
//     *
//     * @param id 主键
//     * @return 实例对象
//     */
//    GoodsInfo findById(int id);
//
//    /**
//     * 修改数据
//     *
//     * @param goodsInfo 实例对象
//     */
//    long update(GoodsInfo goodsInfo);
//
//    /**
//     * 通过主键删除数据
//     *
//     * @param id 主键
//     */
//    long deleteById(int id);
//
//    /**
//     * 通过参数删除数据
//     *
//     * @param paramMap 参数
//     */
//    long deleteByMap(Map<String, Object> paramMap);
//
//    /**
//     * 通过参数查询总条数
//     *
//     * @param paramMap 参数
//     */
//    long findCountByMap(Map<String, Object> paramMap);
//
//    /**
//     * 保存入库单商品
//     * @param itemId
//     * @return
//     */
//    GoodsInfo saveAndGetInboundGoodsInfo(String itemId) throws Exception;
//
//
//}
