package com.prolog.eis.dao.out;

import com.prolog.eis.dto.page.MergeContainerReqDto;
import com.prolog.eis.dto.page.MergeContainerRespDto;
import com.prolog.eis.dto.page.PickingDetailDto;
import com.prolog.eis.dto.page.PickingListDto;
import com.prolog.eis.model.container.ContainerTask;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ContainerTaskMapper extends BaseMapper<ContainerTask> {
    void updateStatusBatch(@Param("containerTaskList") List<ContainerTask> containerTaskList, @Param("taskStatus") int taskStatus);

    List<PickingListDto> pickingList(@Param("containerNo") String containerNo);

    List<PickingDetailDto> pickingDetail(@Param("id") Integer id);

    List<MergeContainerRespDto> mergeContainerList(@Param("req") MergeContainerReqDto req);
}