/**
 * Project Name:eis-jxyj-shelf-common
 * File Name:StoreService.java
 * Package Name:com.prolog.eis.service.store.impl
 * Date:2022年11月1日下午2:24:06
 * Copyright (c) 2022, bluemobi All Rights Reserved.
 *
*/

package com.prolog.eis.service.shelves;

import com.prolog.eis.vo.GoodsInfoVO;

import java.math.BigDecimal;

/**
 * Description: <br/>
 * Date: 2022年11月1日 下午2:24:06 <br/>
 * 
 * @version
 * @see
 */
public interface StoreService {
    /**
     * 
     * Description: <br/>
     *
     * @param containerNo
     * @param containerSubNo
     * @param bizPropertyId
     * @param qty 增加库存为+qty,减少库存为-qty
     * @param remark 备注
     * @param taskType
     * @param taskDetailId 任务id
     * @param areaType 1 四向库 2 托盘agv 3 货架agv
     */
    boolean storeChange(String containerNo, String containerSubNo, GoodsInfoVO vo, BigDecimal qty, String remark,
                        int taskType, String taskDetailId, Integer areaType);


}
