package com.prolog.eis;

import com.prolog.framework.microservice.annotation.EnablePrologService;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @Version: 1.0
 * @Author: wuhan
 * @Created: 2024/7/30 11:35
 */
@EnableScheduling
@MapperScan({"com.prolog.eis.dao", "com.prolog.eis.*.dao"})
@EnableAsync
@EnableCaching
@EnablePrologService
public class DispatchApplication {
    public static void main(String[] args) {
        SpringApplication.run(DispatchApplication.class, args);
    }
}
