package com.prolog.eis.dto.buildwave;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @Version: 1.0
 * @Author: wuhan
 * @Created: 2024/7/30 17:08
 */
@Getter
@Setter
public class PObContainerStoreDto {
    @ApiModelProperty("容器号")
    private String containerNo;

    @ApiModelProperty("业主ID")
    private String ownerId;

    @ApiModelProperty("商品ID")
    private String itemId;

    @ApiModelProperty("批次ID")
    private String lotId;

    @ApiModelProperty("包装ID")
    private String packId;

    @ApiModelProperty("可用数量")
    private BigDecimal useQty = new BigDecimal(0);
}
