package com.prolog.eis.dto.buildwave;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class PObOrderDetailDto {
    @ApiModelProperty("订单明细ID")
    private int orderDetailId;

    @ApiModelProperty("订单ID")
    private int orderId;

    @ApiModelProperty("订单明细商品编码（多维度拼接）")
    private String itemNo;

    @ApiModelProperty("需求数量")
    private BigDecimal planNum;

    @Override
    public String toString() {
        return String.format("ItemId:%s", this.itemNo);
    }
}
