package com.prolog.eis.constants.base;

public interface BaseTaskTypeConstants {
    /**
     * 正常入库/回告
     */
    int INBOUND_TYPE = 10;

    /**
     * 归还货架到位/回告
     */
    int INBOUND_RETURN = 15;
    /**
     * 正常出库/回告
     */
    int OUTBOUND_TYPE = 20;

    /**
     * 拆零回告
     */
    int DISMANTLE_OUTBOUND_TYPE = 21;

    /**
     * 拆零出库到位
     */
    int DISMANTLE_OUTBOUND_END_TYPE = 98;
    /**
     * 拆零回库
     */
    int DISMANTLE_BACK_TYPE = 88;

    int OLD_PALLET_RETURN = 75;
    /**
     * 借道任务搬运/回告
     */
    int JD_TASK_TYPE = 90;
    /**
     * 移库
     */
    int MOVE_TYPE = 30;
    /**
     * 拆零上架
     */
    int AGVL_TYPE = 50;

    //货架移动到位
    int HJ_TYPE = 200;
    /**
     * 演示出库
     */
    int DEMO = 1;
    /**
     * 回退
     */
    int ROLLBACK_TYPE = 40;


    //到位入库二次分配点
    int RCFP_TYPE = 80;

    int EMPTY_OUT_TYPE = 100;
    //入库只处理库存状态
    int IN_TYPE = 101;

    //补货回库
    int SUPPLER_BACK = 120;

    int EMPTY_TYPE = 130;

    int MERGE_OUT_TYPE = 150;

    int CLSJ_ZC_TYPE = 180;
}
