package com.prolog.eis.constants.cfg;

import com.prolog.eis.enums.base.LayerEnum;

public class LocationCfgConstants {

    //类型：5,eis 存储库区 6,wms存储库区 10 bcr位置  20 上架自动补空托垛位  30上架空托盘绑定位  40上架商品位   50,1F拣选订单空托补给位  60，1F地堆库暂存入库位 70.1F叠盘机   71.2F叠盘机
    /**
     * 3,eis 存储库区 拆零货架
     */
    public final static int AGVL_HJ = 3;
    /**
     * 4,eis 存储库区 拆零托盘
     */
    public final static int AGVL_TP = 4;
    /**
     * 5,eis 存储库区
     */
    public final static int EISKQ = 5;

    /**
     * 6,wms存储库区
     */
    public final static int WMSKQ = 6;

    /**
     * 10 bcr位置
     */
    public final static int BCR = 10;

    /**
     * 20 上架自动补空托垛位
     */
    public final static int SJKT = 20;


    /**
     * 40上架商品位
     */
    public final static int SJW = 40;

    /**
     *  50,1F拣选订单空托补给位
     */
    public final static int JXKT = 50;

    /**
     * 60，1F地堆库暂存入库位
     */
    public final static int DDK = 60;

    /**
     * 70.1F叠盘机
     */
    public final static int DPJ = 70;

    /**
     *  71.2F叠盘机
     */
    public final static int DPJ2 = 71;
    /**
     * 80.2F空托垛缓存位
     */
    public final static int KT2F = 80;

    public final static int RCFP = 100;

    //1F集货区
    public final static int JHQ = 120;

    public static Integer getStackerType(LayerEnum layerEnum) {
        return layerEnum.getCode() == 1 ? LocationCfgConstants.DPJ : LocationCfgConstants.DPJ2;
    }
}
