package com.prolog.eis.constants.wms;

import java.util.Arrays;
import java.util.List;

public class WmsConstants {

    /*四向库：MJZ
    AGV整件药品托盘库：AGVZ
    AGV整件食品托盘库：AGVSP
    AGV整件器械托盘库：AGVQX
    拆零库:AGVL(包含食品、器械、药品)*/

    public final static String MJZ = "MJZ";

    public final static String AGVZ = "AGVZ";

    public final static String AGVSP = "AGVSP";

    public final static String AGVQX = "AGVQX";

    public final static String AGVL = "AGVL";


    public final static String AGVTP01 = "AGVTP01";

    public final static String SX01 = "SX01";

    public final static String AGVHJ01 = "AGVL";

    public final static String AGVTP01_C01 = "AGVTP01-C01"; // AGV托盘整托出库区

    public final static String AGVTP01_C02 = "AGVTP01-C02"; // AGV托盘拣选出库区

    public final static String SX01_C01 = "SX01-C01"; // 四向库整托出库区

    public final static String SX01_C02 = "SX01-C02"; // 四向库拣选出库区

    public final static String AGVTP01_R01 = "AGVTP01-R01"; // AGV托盘整托入库区

    public final static String SX01_R01 = "SX01-R01"; // 四向库托盘入库区

    public final static String SX01_BCR01 = "SX01-BCR01";

    public final static String AGVHJ01_R01 = "AGVHJ01-R01"; // AGV托盘拣选出库区

    public final static List WMS_LOCATION_CODE_LIST = Arrays.asList(AGVTP01, SX01, AGVHJ01);

    public final static int check = 1;

    public final static int notCheck = 0;

    public final static int bind = 1;

    public final static int notBind = 0;

    public final static int LOCK = 1;

    public final static int UN_LOCK = 0;

    public static final int IDLE = 0;

    public static final int BCR = 9;

    public static final int INBOUND = 10;

    public static final int OUTBOUND = 20;

    public static final int MARGE = 30;

    public static final int OUTINVENTORY = 40;

    public static final int OUTSTACK = 50;

    public static final int OUTEMPTY = 51;

    public static final int MERGEOUT = 60;

    public static final String BCR_FAIL_BACK = "BCRFAILBACK";

    public static final String INVENTORY = "30";

    public static final String STOCK_TRANSFER = "40";

    public static final String CURING = "50";

    public static final String BUSSINESS_INOUTBOUND = "10"; // 正常出入库

    public static final String BUSSINESS_REPLENISH = "20"; // 补货出入库

    /**
     * 最大优先级--99
     */
    public static final Integer MAX_PRIORITY_99 = 99;

    /**
     * 最小优先级--0
     */
    public static final Integer MIN_PRIORITY_0 = 0;

    //借道任务 入库
    public static final Integer WMS_CARRY_WORK_TYPE_IN = 10;
    public static final String WMS_CARRY_TASK_TYPE_IN = "1";
    //借道任务 出库
    public static final Integer WMS_CARRY_WORK_TYPE_OUT = 20;
    public static final String WMS_CARRY_TASK_TYPE_OUT = "2";

    public final static String DEFAULT_SUB_AREA_NO = "DEFAULT_SUB_AREA_NO";

    public final static String DEFAULT_AREA_NO = "DEFAULT_AREA_NO";
    public final static String DEFAULT_TP_AREA_NO = "DEFAULT_TP_AREA_NO";

    public final static String DEFAULT_ABC_TYPE = "DEFAULT_ABC_TYPE";
}
