package com.prolog.eis.dto.eis4;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 坐标范围
 *
 * @Version: 1.0
 * @Author: wuhan
 * @Created: 2024/7/29 9:06
 */
@Getter
@Setter
public class StationOBRangeDto {
    @ApiModelProperty("最小X值(大于等于该值)")
    private int minX;

    @ApiModelProperty("最大X值(小于等于该值)")
    private int maxX;

    @ApiModelProperty("最小Y值(大于等于该值)")
    private int minY;

    @ApiModelProperty("最大Y值(小于等于该值)")
    private int maxY;
}
