package com.prolog.eis.dto.inbound;

import com.prolog.eis.dto.page.PageUtilDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-07 17:34
 **/
@Data
public class AgainListReqDto extends PageUtilDto {
    @ApiModelProperty("上架明细id")
    @NotNull(message = "上架明细id不能为空")
    private Integer detailId;
    @ApiModelProperty("商品条码")
    private String itemCode;
    private String category;
    private String itemId;
    private String lotId;
    private String packId;
    private String ownerId;
}
