package com.prolog.eis.dto.inbound;

import lombok.Builder;
import lombok.Data;

/**
 * @program: eis_qnym_java
 * @description:
 * @author: Xiong
 * @create: 2023-02-10 09:50
 **/
@Data
@Builder
public class BestAreaDto {
    /**
     * 容器号
     */
    private String containerNo;
    /**
     * 当前区域
     */
    private String areaNo;
    /**
     * 发送搬运任务起始区域
     */
    private String sourceArea;
    /**
     * 起始点位
     */
    private String sourceLocation;
    /**
     * 业务属性
     */
    private String businessProperty;
    /**
     * 入库商品类型
     */
    private Integer itemType;
    /**
     * 设备高度
     */
    private double deviceHeight;
    /**
     * 所属区域
     */
    private String BelongArea;
}
