
package com.prolog.eis.dto.inbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-07 17:34
 **/
@Data
public class LocationChangeReqDto {
    @ApiModelProperty("上架容器号")
    @NotBlank(message = "上架容器号不能为空")
    private String containerNo;

    @ApiModelProperty("推荐上架储位")
    @NotBlank(message = "推荐上架储位不能为空")
    private String containerSubNo;

    @ApiModelProperty("更换后储位")
    @NotBlank(message = "更换后储位不能为空")
    private String toContainerSubNo;

    @ApiModelProperty("上架明细id")
    @NotNull(message = "上架明细id不能为空")
    private Integer detailId;
}
