package com.prolog.eis.dto.inbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-07 17:34
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShelvesReturnDto {
    @ApiModelProperty("上架容器号")
    @NotBlank(message = "上架容器号不能为空")
    private String containerNo;
}
