package com.prolog.eis.dto.led;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/10/24 10:40
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("led服务请求")
public class LedReqDTO {

    @ApiModelProperty("led屏区域地址")
    private String areaNo;

    @ApiModelProperty("显示的消息")
    private String message;
}
