package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-11-15 15:03
 **/
@Data
public class ConfirmDto {

    @ApiModelProperty("请求ID")
    @NotBlank(message = "请求ID不能为空")
    private String msgId;

    @ApiModelProperty("容器编号")
    @NotBlank(message = "容器编号不能为空")
    private String containerNo;

    @ApiModelProperty("顺带补货标识")
    private Integer bhFlag;

    private List<ConfirmSublistDto> subList;
}
