package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: xiong
 * @description: TODO
 * @date: 2024/7/9 10:06
 * @version: 1.0
 */
@Data
public class HitNotificationDTO {
    @ApiModelProperty(value = "作业类型")
    private String workType;
    @ApiModelProperty(value = "业务类型")
    private String businessType;
    @ApiModelProperty(value = "WMS任务号")
    private String taskId;
    @ApiModelProperty(value = "WMS订单号")
    private String billNo;
    @ApiModelProperty(value = "容器号")
    private String containerNo;
    @ApiModelProperty(value = "WMS任务行号")
    private String taskLineId;
    @ApiModelProperty(value = "货主编号")
    private String ownerId;
    @ApiModelProperty(value = "商品ID")
    private String itemId;
    @ApiModelProperty(value = "批次id")
    private String lotId;
    @ApiModelProperty(value = "包装ID")
    private String packId;
    @ApiModelProperty(value = "源库别")
    private String wmsLocationCode;
    @ApiModelProperty(value = "源区域")
    private String originalArea;
    @ApiModelProperty(value = "货位")
    private String locNo;
    @ApiModelProperty(value = "当前命中库存")
    private Double qty;
    @ApiModelProperty(value = "超补数量")
    private Double exceedQyt;
    @ApiModelProperty(value = "缺货数量")
    private Double lackQty;
}
