package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author dengj
 * @version 1.0
 * @date 2023/1/17 11:21
 */
@Data
public class WmsHitCbReqDto {


    @ApiModelProperty("仓库编号")
    private String warehouseId;

    @ApiModelProperty("任务号")
    private String msgId;

    @ApiModelProperty("货主编号")
    private String ownerId;

    @ApiModelProperty("Wms任务单号")
    private String taskId;

    @ApiModelProperty("billNo")
    private String billNo;

    @ApiModelProperty("行号")
    private String taskLineId;

    @ApiModelProperty("作业类型")
    private String workType;

    @ApiModelProperty("业务类型")
    private String businessType;

    @ApiModelProperty("商品id")
    private String itemId;

    @ApiModelProperty("批次号")
    private String lotId;

    @ApiModelProperty("包装id")
    private String packId;


    @ApiModelProperty("容器编号")
    private String containerNo;

    @ApiModelProperty("缺失数量")
    private BigDecimal lackQty;

    @ApiModelProperty("wms大货位")
    private String wmsLocationCode;

    @ApiModelProperty("0:按照订单+明细行维度取消1:按照订单维度取消")
    private Integer inventoryShortageType;

}
