package com.prolog.eis.dto.outbound;

import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author dengj
 * @version 1.0
 * @date 2023/2/27 15:20
 */
@Data
public class WmsLabelCbReqDto {


    @Column("outbound_id")
    @ApiModelProperty("出库单id")
    private Integer outboundId;

    @Column("outbound_detail_id")
    @ApiModelProperty("出库明细id")
    private Integer outboundDetailId;


    @ApiModelProperty("容器编号")
    private String containerNo;
    @ApiModelProperty("仓库编号 ")
    private String warehouseId;
    @ApiModelProperty("单据编号")
    private String taskId;
    @ApiModelProperty("行号")
    private String seqNo;
    @ApiModelProperty("null")
    private String workType;
    @ApiModelProperty("null")
    private String businessType;
    @ApiModelProperty("商品id")
    private String itemId;

    @ApiModelProperty("货主编号")
    private String ownerId;

    @ApiModelProperty("批号ID")
    private String lotId;

    @ApiModelProperty("包装id")
    private String packId;


    @ApiModelProperty("标签条码号")
    private String label;
    @ApiModelProperty("null")
    private String msgId;

    private BigDecimal qty;


}
