package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author dengj
 * @version 1.0
 * @date 2023/1/17 12:07
 *
 * wms托盘出库回传dto
 */
@Data
public class WmsOutCbReqDto {

    @ApiModelProperty("容器编号")
    private String containerNo;

    @ApiModelProperty("消息id")
    private String msgId;

    @ApiModelProperty("重量")
    private BigDecimal weight;

    @ApiModelProperty("整托标识")
    private String wholeFlag;

    @ApiModelProperty("明细集合")
    private List<WmsOutDetailCbReqDto> subList;
}
