package com.prolog.eis.dto.outbound;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * @author dengj
 * @version 1.0
 * @date 2023/1/17 12:09
 */
@Data
public class WmsOutDetailCbReqDto {

    @ApiModelProperty("单据编号")
    private String taskId;

    @ApiModelProperty("行号")
    private String taskLineId;

    @ApiModelProperty("作业类型")
    private String workType;

    @ApiModelProperty("业务类型")
    private String businessType;

    @ApiModelProperty("eisTaskID")
    private String eisTaskId;

    @ApiModelProperty("商品id")
    private String itemId;

    @ApiModelProperty("批次号")
    private String lotId;

    @ApiModelProperty("包装id")
    private String packId;

    @ApiModelProperty("货主编号")
    private String ownerId;

    @ApiModelProperty("数量")
    private BigDecimal qty;

    private String enterpriseId;
    private String warehouseId;
    private String billNo;
    private String wmsLocationCode;
    private String originalArea;
    private String locNo;
    private String targetArea;
    private String targetLocation;
}
