package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/13 17:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AllotmentOrderReqDto {
    @ApiModelProperty("商品条码")
    private String code;
    @ApiModelProperty("物料id")
    private String itemId;
    @ApiModelProperty("订单id")
    private Integer outboundId;
    @ApiModelProperty("任务详情id")
    private Integer outboundDetailId;
    @ApiModelProperty("批次id")
    private String lotId;
    @NotBlank(message = "用户编号不能为空")
    @ApiModelProperty("用户编号")
    private String userId;
}
