package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/14 14:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class InboundOrderDetailRespDto {

    private Integer id;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品编码")
    private String itemCode;
    @ApiModelProperty("商品条码")
    private String barCode;
    @ApiModelProperty("批次")
    private String lotNo;
    @ApiModelProperty("包装数")
    private BigDecimal packQty;
    @ApiModelProperty("件数")
    private BigDecimal itemQty;
    @ApiModelProperty("零散数")
    private BigDecimal scatteredQty;
    @ApiModelProperty("数量")
    private BigDecimal qty;
}
