package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/14 14:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class InboundOrderReqDto {

    private Integer pageSize;
    private Integer pageNum;
    @ApiModelProperty("物料名称")
    private String itemName;
    @ApiModelProperty("物料条码")
    private String barCode;
    @ApiModelProperty("目标库区")
    private String wmsLocationNo;
    @ApiModelProperty("容器编号")
    private String containerNo;
    @ApiModelProperty("状态 -10 已取消 0创建  10已开始 20已完成 ")
    private Integer status;
    @ApiModelProperty("创建时间")
    private String createTime;

    private String itemIds;
}
