package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class LockStockRespDto {

    @ApiModelProperty("容器编号")
    private String containerNo;

    @ApiModelProperty("商品ID")
    private String itemId;

    @ApiModelProperty("商品编号")
    private String itemCode;

    @ApiModelProperty("商品名称")
    private String itemName;

    @ApiModelProperty("批号ID")
    private String lotId;

    @ApiModelProperty("批号")
    private String lotCode;

    @ApiModelProperty("库存数量")
    private BigDecimal stockCount;

    @ApiModelProperty("锁定数量")
    private BigDecimal lockCount;

    @ApiModelProperty("非指定命中数量")
    private BigDecimal unSpecifiedCount;

    @ApiModelProperty("指定命中数量")
    private BigDecimal specifiedCount;

}
