package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/13 17:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MergeContainerReqDto {

    private Integer pageSize;
    private Integer pageNum;
    @ApiModelProperty("容器号")
    private String containerNo;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品条码")
    private String barcode;
    @ApiModelProperty("助记码")
    private String itemCode;
    @ApiModelProperty("开始时间")
    private String createTimeStart;
    @ApiModelProperty("结束时间")
    private String createTimeEnd;
    @ApiModelProperty("状态 0空闲 10入库中 20出库中 30回库中")
    private Integer taskStatus;

    private String itemIds;
    private Double fullVolumeSize;
}
