package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/18 9:17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OrderStockWarnReqDto {
    private Integer pageSize;
    private Integer pageNum;
    @ApiModelProperty("物料编码")
    private String itemCode;
    @ApiModelProperty("物料名称")
    private String itemName;
    @ApiModelProperty("出库单类型 产品出库（DO_CP）砂芯出库（DO_SX）指定托盘出库（DO_ZDTP）盘点出库（INV_PLANCHECK）")
    private String businessType;
    private String itemIds;
}
