package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/18 9:17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OrderStockWarnRespDto {
    @ApiModelProperty("物料编码")
    private String itemCode;
    @ApiModelProperty("物料名称")
    private String itemName;
    @ApiModelProperty("商品条码")
    private String barCode;
    @ApiModelProperty("批次")
    private String lotId;
    @ApiModelProperty("有效期")
    private String expireDate;
    @ApiModelProperty("订单需求")
    private BigDecimal planQty;
    @ApiModelProperty("库存不足")
    private BigDecimal lackQty;
    @ApiModelProperty("现在库存")
    private BigDecimal stockQty;
    private Integer id;
    private String itemId;
}
