package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/14 14:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OutboundPriorityReqDto {

    @ApiModelProperty("出库单id")
    @NotNull(message = "出库单id不能为空")
    private Integer id;
    @ApiModelProperty("优先级 越大越优先")
    @NotNull(message = "优先级不能为空")
    private Integer priority;
}
