package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/15 11:18
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PackOrderDetailReqDto {

    @ApiModelProperty("出库单id")
    @NotNull(message = "出库单id不能为空")
    private Integer id;

    @ApiModelProperty("格口号")
    @NotNull(message = "格口号不能为空")
    private String gridNo;

    @ApiModelProperty("商品条码")
    private String code;
}


