package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/15 11:18
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PackOrderDetailRespDto {

    @ApiModelProperty("任务单号")
    private String billNo;
    @ApiModelProperty("商品id")
    private String itemId;
    @ApiModelProperty("商品条码")
    private String barcode;
    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("批次id")
    private String lotId;
    @ApiModelProperty("批号")
    private String lotNo;
    @ApiModelProperty("拣货数量")
    private BigDecimal planQty;
    @ApiModelProperty("状态 3未全部落格，4已全部落格 5订单缺货 6物料")
    private Integer status;

    @ApiModelProperty("订单详情id")
    private Integer outboundDetailId;
    @ApiModelProperty("缺货数量")
    private BigDecimal lackQty;
    @ApiModelProperty("复核数量")
    private BigDecimal offerQty;
    private Integer detailStatus;

}


