package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/15 11:18
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PackOrderItemSuperviseDetailDto {

    @ApiModelProperty("出库单详情id")
    private Integer outboundDetailId;
    @ApiModelProperty("拆零出库单详情id")
    private Integer outboundDetailDismantleId;
    @ApiModelProperty("物料id")
    private String itemId;
    @ApiModelProperty("批次id")
    private String lotId;
    @ApiModelProperty("药监码")
    private List<String> codeList;
}


