package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/9/15 11:18
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PackOrderItemSuperviseDto {

    @ApiModelProperty("出库单id")
    private Integer outboundId;
    @ApiModelProperty("采集详情")
    private List<PackOrderItemSuperviseDetailDto> list;
}


