
package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/13 15:33
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PdTaskGetReqDto {

    @ApiModelProperty("站台编号")
    @NotBlank(message = "站台编号不能为空")
    private String stationNo;
    @ApiModelProperty("作业类型 40盘点 50养护")
    @NotNull(message = "作业类型不能为空")
    private Integer taskType;

}
