

package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/13 15:33
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PdTaskGetRespDto {

    @ApiModelProperty("商品名称")
    private String itemName;
    @ApiModelProperty("商品条码")
    private String barCode;
    @ApiModelProperty("商品编码")
    private String itemCode;
    @ApiModelProperty("生产厂家")
    private String manufacturerName;
    @ApiModelProperty("商品规格")
    private String specification;
    @ApiModelProperty("货主")
    private String cargoOwnerName;
    @ApiModelProperty("批号")
    private String lotNo;
    @ApiModelProperty("容器号")
    private String containerNo;
    @ApiModelProperty("货格号")
    private String containerSubNo;
    @ApiModelProperty("商品状态")
    private String taskStatus;
    @ApiModelProperty("商品大类")
    private String category;
    @ApiModelProperty("数量")
    private BigDecimal qty;
    @ApiModelProperty("当前面")
    private String plans;
    @ApiModelProperty("当前层")
    private Integer layer;
    @ApiModelProperty("当前站台 1左边 2右边")
    private Integer station;
    @ApiModelProperty("1明盘 2暗盘")
    private Integer checkType;
    @ApiModelProperty("任务id")
    private Integer taskId;
    @ApiModelProperty("是否有下一个任务 0否 1是")
    private Integer isNextTask;
}
