package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/20 10:17
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PickingDetailDto {

    @ApiModelProperty("任务单号")
    private String billNo;
    @ApiModelProperty("出库单类型 产品出库（DO_CP）砂芯出库（DO_SX）指定托盘出库（DO_ZDTP）盘点出库（INV_PLANCHECK）")
    private String businessType;
    @ApiModelProperty("容器号")
    private String containerNo;
    @ApiModelProperty("物料名称")
    private String itemName;
    @ApiModelProperty("物料规格")
    private String capacity;
    @ApiModelProperty("拣货数量")
    private BigDecimal pickQty;
    @ApiModelProperty("库存数量")
    private BigDecimal qty;
    private Integer id;
    private String itemId;
}
