package com.prolog.eis.dto.page;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/14 14:23
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PickingOutboundOrderRespDto {

    @ApiModelProperty("出库单号")
    private String billNo;
    @ApiModelProperty("产成品编码")
    private String productCode;
    @ApiModelProperty("业务类型 10.产成品出库  20.砂芯出库")
    private Integer type;
    @ApiModelProperty("状态 -20 库存不足 0创建 1已组为任务包 10已开始 20已完成")
    private Integer status;
    @ApiModelProperty("是否缺货 1是")
    private Integer isLack;
    private Integer id;
}
