package com.prolog.eis.dto.pms;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * @desc:
 * @date: 2023/7/11 10:41
 */
@Data
public class PmsRobotTaskRep {

    @ApiModelProperty("任务号")
    private String taskId;

    @ApiModelProperty("容器号")
    private String containerNo;

    @ApiModelProperty("物料号")
    private String itemCode;

    @ApiModelProperty("拣选数量")
    private BigDecimal qty;


}
