package com.prolog.eis.dto.rf;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ContainerStockRespDto {

    @ApiModelProperty("容器编号")
    private String containerNo;

    @ApiModelProperty("子容器编号")
    private String subContainerNo;

    @ApiModelProperty("商品名称")
    private String itemName;

    @ApiModelProperty("批号")
    private String lotNo;

    @ApiModelProperty("区域")
    private String areaNo;

    @ApiModelProperty("库存数量")
    private BigDecimal stockQty;

    @ApiModelProperty("预占数量")
    private BigDecimal preQty;

    @ApiModelProperty("业主ID")
    private String ownerId;

    @ApiModelProperty("商品ID")
    private String itemId;

    @ApiModelProperty("批号ID")
    private String lotId;

    @ApiModelProperty("包装ID")
    private String packId;


}
