package com.prolog.eis.dto.rf;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/13 15:33
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DemonstrateTaskDto {

    @ApiModelProperty("商品名称")
    private String itemName;

    @ApiModelProperty("库区")
    @NotEmpty(message = "库区不能为空")
    private String wmsLocationCode;

    @ApiModelProperty("容器号")
    private String containerSubNo;

    @ApiModelProperty("批次")
    private String lotId;

    private String itemIds;
    private Integer pageSize;
    private Integer pageNum;

}
