package com.prolog.eis.dto.rf;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/7/13 15:33
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DemonstrateTaskReqDto {

    @ApiModelProperty("容器号")
    @NotBlank(message = "容器号不能为空")
    private String containerSubNo;

    @ApiModelProperty("演示类型")
    @NotNull(message = "1普通演示 2演示至不合格库区")
    private Integer type;
}
