package com.prolog.eis.dto.shelves;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class NewPalletNoConfirmDto {
    @ApiModelProperty("站台号")
    private String stationNo;

    @ApiModelProperty("原货架号")
    private String oldPalletNo;

    @ApiModelProperty("新货架号")
    private String newPalletNo;

    @ApiModelProperty("新货架面")
    private String planes;

    @ApiModelProperty("任务id")
    private int taskId;

    @ApiModelProperty("新货位号（货架时时货格，非货架时是托盘）")
    private String palletLocation;

    @ApiModelProperty("商品大类")
    private String itemHealthCategory;

    @ApiModelProperty("旧容器类型（0为托盘 1为货格）")
    private String oldLocationType;

    @ApiModelProperty("新容器类型（0为托盘 1为货格）")
    private String newLocationType;

}
