package com.prolog.eis.dto.shelves;

import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class QueryLocationDto {

    @ApiModelProperty("站台号")
    private String stationNo;

    @ApiModelProperty("原货位")
    private String palletLocation;

    @ApiModelProperty("目标货位")
    private String inPalletLocation;

    @ApiModelProperty("大类")
    private String itemHealthCategory;

    @ApiModelProperty("页大小")
    private int pageSize;

    @ApiModelProperty("页码")
    private int pageNum;

    @ApiModelProperty("物料")
    private String itemId;

    @ApiModelProperty("批次")
    private String lotId;

    @ApiModelProperty("货主")
    private String ownerId;

    @ApiModelProperty("货架号")
    private String palletNo;

    @ApiModelProperty("abc属性")
    private String abcType;
}
