package com.prolog.eis.dto.shelves;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class ScanContainerNoDto {

    @ApiModelProperty("容器号")
    @NotBlank(message = "托盘号不能为空")
    private String containerNo;

    @ApiModelProperty("站台号")
    @NotBlank(message = "站台号不能为空")
    private String stationNo;
}
