package com.prolog.eis.dto.shelves;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class ShelfReturnDto {
    @ApiModelProperty("货架号")
    @NotBlank(message = "货架号不能为空")
    private String palletNo;

    @ApiModelProperty("容器类型")
    @NotBlank(message = "容器类型不能为空")
    private String locationType;

    @ApiModelProperty("站台号")
    @NotBlank(message = "站台号不能为空")
    private String stationNo;

    @ApiModelProperty("任务号")
    @NotBlank(message = "任务号不能为空")
    private String taskId;

    @ApiModelProperty("商品大类")
    private String itemHealthCategory;
}
