package com.prolog.eis.dto.shelves;

import com.prolog.framework.bz.core.model.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author zhanghan
 */
@Data
@ApiModel("货架信息分页参数")
@EqualsAndHashCode(callSuper = true)
public class ShelvesInfoPage extends PageParam {

    @ApiModelProperty("货架号")
    private String palletNo;

    @ApiModelProperty("是否为模板货架")
    private Integer isMode;

    @ApiModelProperty("是否锁定(0:不锁定  1:锁定)")
    private Integer isLock;

}