package com.prolog.eis.dto.strategy;

import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class InitDto {

    /**
     * 容器库存集合
     */
    private List<ContainerInfoDto> containerInfoDtoList;

    /**
     * 订单集合
     */
    private List<OrderDto> orderList;

    /**
     * 找托盘策略
     */
    private Map<Integer, String> strategyMap;


}
