package com.prolog.eis.dto.strategy;

import lombok.Data;

import java.math.BigDecimal;

import static com.prolog.eis.utils.GoodsPropertyUtils.getGoodsProperty;


/**
 * @author wk
 */
@Data
public class OrderDetailDto {

    private Integer orderId;

    private String seqNo;

    private Integer orderDetailId;

    private String containerNo;

    private String bizPropertyId;

    private BigDecimal planNum;

    private BigDecimal actNum;

    private BigDecimal outNum;

    private Integer status;

    private String abcType;

    private Integer detailStatus;
    /**
     * 业务属性（多属性拼接）
     */
    private String businessProperty;
    private String itemId;
    private String ownerId;
    private String lotId;
    private String packId;

    private Integer checkStore;
    private Integer isSupply;

    private String targetLocation;
    private String targetArea;
    private Integer type;

    public String getBusinessProperty(){
        return getGoodsProperty(this.itemId,this.lotId,this.ownerId,this.packId);
    }
}
