package com.prolog.eis.dto.strategy;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dengj
 * @version 1.0
 * @date 2023/2/9 13:52
 */
@Data
public class StationInfoDto {

    /**
     * 站台号
     */
    @ApiModelProperty(value = "站台号")
    private String stationNo;


    private Integer taskType;

    /**
     * 是否锁定（0：未锁定 1：锁定）
     */
    @ApiModelProperty(value = "是否锁定（0：未锁定 1：锁定）")
    private Integer isLock;



    /**
     * 空位数
     */
    private Integer emptyStoreCount;

    /**
     * 是否索取（0：索取 1：不索取）
     */
    @ApiModelProperty(value = "是否索取（0：索取 1：不索取）")
    private Integer isAsk;

    /**
     * 区域
     */
    @ApiModelProperty(value = "区域")
    private String areaNo;

    @ApiModelProperty("站台类型 1agv站台 2机械臂站台 3人工输送线站台 4整托出库口")
    private Integer stationType;

    private String wmsAreaNo;


}
