package com.prolog.eis.dto.wcs;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
@Validated
public class WcsCarDto {

    @ApiModelProperty("小车编号\n\n")
    @NotEmpty(message = "小车编号不能为空")
    private String carNo;

    @ApiModelProperty("小车状态1：正常\n" +
            "2：故障\n")
    @NotNull(message = "小车状态不能为空")
    private Integer status;


}
