package com.prolog.eis.dto.wcs;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Data
public class WcsGirdDto {

    @ApiModelProperty("格口号\n")
    @NotEmpty(message = "格口号不能为空")
    private String toloc;

    @ApiModelProperty("格口状态\n1（空闲）\n" +
            "2 （满载）")
    @NotNull(message = "格口状态不能为空")
    private Integer status;


}
