package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @program: eis_dclk_java
 * @description:
 * @author: Xiong
 * @create: 2022-12-05 11:29
 **/
@NoArgsConstructor
@Data
public class OrderPalletItemInfo {

    @ApiModelProperty("商品编码")
    private String itemId;

    @ApiModelProperty("批次号")
    private String lotId;

    @ApiModelProperty("货主编码")
    private String ownerId;

    @ApiModelProperty("包装ID")
    private String packId;

    @ApiModelProperty("订单托盘商品数量")
    private BigDecimal qty;

}
