package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class StockContainerRespDto {

    @ApiModelProperty("货主ID")
    private String ownerId;

    @ApiModelProperty("商品ID")
    private String itemId;

    @ApiModelProperty("批号ID")
    private String lotId;

    @ApiModelProperty("包装Id")
    private String packId;

    @ApiModelProperty("可用库存数量")
    private BigDecimal useStockCount;

    @ApiModelProperty("预占库存数量")
    private BigDecimal preStockCount;

    @ApiModelProperty("库存数量")
    private BigDecimal stockCount;

    @ApiModelProperty("容器号")
    private String containerNo;
}
