package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/8/30 11:35
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder
public class WmsApplePrintDto {

    @ApiModelProperty("仓库编号")
    private String warehouseId;
    @ApiModelProperty("Wms任务单号")
    private String taskId;
    @ApiModelProperty("单据编号")
    private String billNo;
    @ApiModelProperty("企业id")
    private String enterpriseId;
    @ApiModelProperty("企业id")
    private String gridNo;
    @ApiModelProperty("拆包标识 1拆包")
    private Integer packFlag;
    @ApiModelProperty("打印次数")
    private Integer labelCount;
}
