package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/8/30 11:35
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder
public class WmsBindGirdDto {

    @ApiModelProperty("请求id")
    private String msgId;
    @ApiModelProperty("仓库编号")
    private String warehouseId;
    @ApiModelProperty("Wms任务单号")
    private String taskId;
    @ApiModelProperty("单据编号")
    private String billNo;
    @ApiModelProperty("企业id")
    private String enterpriseId;
    @ApiModelProperty("企业id")
    private List<String> gridNo;
}
