
package com.prolog.eis.dto.wms;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @desc:
 * @author: zhangJie
 * @date: 2023/8/30 11:35
 */
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder
public class WmsWarehouseChangeDto {

    @ApiModelProperty("仓库编号")
    private String warehouseId;
    @ApiModelProperty("企业id")
    private String enterpriseId;
    @ApiModelProperty("容器号")
    private String containerNo;
    @ApiModelProperty("商品")
    private String itemId;
    @ApiModelProperty("批次")
    private String lotId;
    @ApiModelProperty("数量")
    private BigDecimal qty;
}
