package com.prolog.eis.model.shelves;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@Table("biz_property")
public class BizProperty {
    @Id
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    @Column("id")
    @ApiModelProperty("id")
    private Integer id;

    @Column("goods_id")
    @ApiModelProperty("商品id")
    private String goodsId;

    @Column("lot_id")
    @ApiModelProperty("批号")
    private String lotId;

    @Column("owner_id")
    @ApiModelProperty("货主")
    private String ownerId;

    @Column("pack_id")
    @ApiModelProperty("包装ID")
    private String packId;

    @Column("ware_house")
    @ApiModelProperty("仓库")
    private String wareHouse;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private Date createTime;

    @Column("update_time")
    @ApiModelProperty("修改时间")
    private Date updateTime;

}
