package com.prolog.eis.model.shelves;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Table("data_dictionary_master")
@Data
public class DataDictionaryMaster {

    @Id
	@Column("id")
	@ApiModelProperty("主键")
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	private Integer id;

    @Column("classification_number")
    @ApiModelProperty("分类编号")
    private String classificationNumber;

    @Column("classification_name")
    @ApiModelProperty("分类名称")
    private String classificationName;

    @Column("remark")
    @ApiModelProperty("备注")
    private String remark;

    @Column("enable")
    @ApiModelProperty("是否启用")
    private Integer enable;

    @Column("create_time")
    @ApiModelProperty("创建时间")
    private Date createTime;

    @Column("update_time")
    @ApiModelProperty("修改时间")
    private Date updateTime;

}
