package com.prolog.eis.model.shelves;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Table("dismantling_location_hit_record_his")
@Data
public class DismantlingLocationHitRecordHis {
    @Id
    @Column("id")
    @ApiModelProperty("主键")
    @AutoKey(type = AutoKey.TYPE_IDENTITY)
    private Integer id;

    @Column("task_detail_id")
    @ApiModelProperty("任务明细id")
    private String taskDetailId;

    @Column("location_no")
    @ApiModelProperty("上架容器编号")
    private String locationNo;

    @Column("location_type")
    @ApiModelProperty("上架容器类型（容器类型（1容器，2货格）")
    private String locationType;

    @Column("container_no")
    @ApiModelProperty("收货容器")
    private String containerNo;

    @Column("pallet_no")
    @ApiModelProperty("货架号")
    private String palletNo;
}
