package com.prolog.eis.model.shelves;

import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author zmr
 * @description: 格口组表
 * @date 2023-08-28 11:41
 */
@Data
@Table("grid_info_group")
public class GridInfoGroup {

	@Id
	@AutoKey(type = AutoKey.TYPE_IDENTITY)
	@Column("id")
	@ApiModelProperty("id")
	private Integer id;

	@Column("group_no")
	@ApiModelProperty("格口组号")
	private String groupNo;

	@Column("status")
	@ApiModelProperty("状态")
	private Integer status;

	@Column("prink_no")
	@ApiModelProperty("打印机号")
	private String prinkNo;

	@Column("is_lock")
	@ApiModelProperty("是否锁定 0 不锁定 1 锁定")
	private Integer isLock;

	@Column("remark")
	@ApiModelProperty("备注")
	private String remark;

	@Column("create_time")
	@ApiModelProperty("创建时间")
	private Date createTime;

	@Column("update_time")
	@ApiModelProperty("更新时间")
	private Date updateTime;




}

