package com.prolog.eis.vo;


import com.prolog.framework.bz.core.model.PageParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


@Data
public class PalletInfoVo extends PageParam{

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("货架号")
    private String palletNo;

    @ApiModelProperty("区域")
    private String areaNo;

    @ApiModelProperty("区域")
    private String subArea;

    @ApiModelProperty("角度")
    private Integer angle;

    @ApiModelProperty("是否锁定 0 不锁定 1 锁定")
    private Integer isLock;

    @ApiModelProperty("是否为模板货架")
    private Integer isMode;

    @ApiModelProperty("is_mode 为1 时有值 货架模板类型")
    private String modeType;

    @ApiModelProperty("货格数量")
    private String count;

    @ApiModelProperty("货位")
    private String palletLocation;

    @ApiModelProperty("商品大类")
    private String  palletType;

    @ApiModelProperty("货位ABC")
    private String  abcType;

    @ApiModelProperty("面")
    private String  planes;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("修改时间")
    private Date updateTime;
}
