package com.prolog.eis.dao.pick;

import com.prolog.eis.dto.page.PickingOrderReqDto;
import com.prolog.eis.dto.page.PickingOrderRespDto;
import com.prolog.eis.model.pick.PickingOrder;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author zmr
 * @description: 任务包表-数据处理类
 * @date 2023-07-06 12:59
 */
@Repository
public interface PickingOrderMapper extends BaseMapper<PickingOrder>{


    List<PickingOrderRespDto> listPage(@Param("req") PickingOrderReqDto req);
}