package com.prolog.eis.service.config.impl;

import com.prolog.eis.dao.RoadwayAllStrategyConfigMapper;
import com.prolog.eis.model.config.RoadwayAllStrategyConfig;
import com.prolog.eis.service.config.RoadwayAllStrategyConfigService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class RoadwayAllStrategyConfigServiceImpl implements RoadwayAllStrategyConfigService {

    private final RoadwayAllStrategyConfigMapper roadwayAllStrategyConfigMapper;

    @Override
    public List<RoadwayAllStrategyConfig> findAllConfig() {
        return roadwayAllStrategyConfigMapper.findByMap(null, RoadwayAllStrategyConfig.class);
    }
}
