package com.prolog.eis.service.feign;

import com.prolog.eis.core.model.base.area.WhArea;

import java.util.List;

/**
 * @author dengj
 * @version 1.0
 * @date 2023/2/17 15:24
 */

public interface WarehouseService {

    /**
     * 根据点位查询区域信息
     * @param locationNo
     * @return
     * @throws Exception
     */
    WhArea getAreaByLocation(String locationNo) throws Exception;

    List<WhArea> batchQueryLocation(List<String> locationNos) throws Exception;
}
