package com.prolog.eis.service.wms.impl;

import com.prolog.eis.dao.container.ContainerInfoMapper;
import com.prolog.eis.dto.wms.StockContainerReqDto;
import com.prolog.eis.dto.wms.StockContainerRespDto;
import com.prolog.eis.service.wms.WmsService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class WmsServiceImpl implements WmsService {

    private final ContainerInfoMapper containerInfoMapper;

    @Override
    public List<StockContainerRespDto> getStockContainer(StockContainerReqDto reqDto) {
        return containerInfoMapper.getStockContainer(reqDto);
    }
}
